Bug 1104669 - Wayland
Wayland
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Changes Tracking (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jaroslav Reznik
Petr Bokoc
ChangeAcceptedF21 SystemWideChange
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-06-04 09:21 EDT by Jaroslav Reznik
Modified: 2014-12-08 10:22 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-12-08 10:22:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pbokoc: fedora_requires_release_note+


Attachments (Terms of Use)

  None (edit)
Description Jaroslav Reznik 2014-06-04 09:21:20 EDT
This is a tracking bug for Change: Wayland
For more details, see: https://fedoraproject.org//wiki/Changes/Wayland

Support GNOME Wayland sessions
Comment 1 Jaroslav Reznik 2014-07-04 06:43:48 EDT
This message is a reminder that Fedora 21 Accepted Changes Freeze Deadline is on 2014-07-08 [1].

At this point, all accepted Changes should be substantially complete, and testable. Additionally, if a change is to be enabled by default, it must be so enabled at Change Freeze.

This bug should be set to the MODIFIED state to indicate that it achieved completeness. Status will be provided to FESCo right after the deadline. If, for any reasons, your Change is not in required state, let me know and we will try to find solution. For Changes you decide to cancel/move to the next release, please use the NEW status and set needinfo on me and it will be acted upon. 

In case of any questions, don't hesitate to ask Wrangler (jreznik). Thank you.

[1] https://fedoraproject.org/wiki/Releases/21/Schedule
Comment 2 Petr Bokoc 2014-08-14 16:59:41 EDT
Hello Matthias,

can you please give me up to date information about this change's status in Fedora 21? The bug is still on ASSIGNED, and I need to know if Wayland support will be ready in F21 Alpha.

If it's on track and Wayland will be available, we'll need to document that in the Release Notes. In that case, please take a look at the draft at https://fedoraproject.org/wiki/Documentation_Desktop_Beat#Wayland_support_in_GNOME and tell me if it's correct, or if I need to change, add or remove anything.

If the change won't be ready in time for Alpha, please let me know as well so we don't accidentally publish it in the RNs.

Thanks,
Petr
Comment 3 Matthias Clasen 2014-08-15 12:38:15 EDT
Yes, a GNOME/Wayland session will be available in the alpha. A few things may not work as well as under X yet, but overall things are usable.
Comment 4 Jaroslav Reznik 2014-10-07 08:23:58 EDT
This message is a reminder that Fedora 21 Change Checkpoint: 100% Code Complete Deadline (Former Accepted Changes 100% Complete) is on 2014-10-14 [1].

All Accepted Changes has to be code complete and ready to be validated in the Beta release (optionally by Fedora QA). Required bug state at this point is ON_QA.

As for several System Wide Changes, Beta Change Deadline is a point of contingency plan. All incompleted Changes will be reported to FESCo on 2014-10-15 meeting. In case of any questions, don't hesitate to ask Wrangler (jreznik).

[1] https://fedoraproject.org/wiki/Releases/21/Schedule
Comment 5 Jaroslav Reznik 2014-10-14 07:35:27 EDT
Based on comments #3 above, moving to ON_QA.

Note You need to log in before you can comment on or make changes to this bug.